Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.properties
Class CharacterProperty

    java.lang.Object
      net.sourceforge.pmd.properties.AbstractPMDProperty
          net.sourceforge.pmd.properties.CharacterProperty

All Implemented Interfaces:
  java.lang.Comparable<PropertyDescriptor>, PropertyDescriptor

    public class CharacterProperty

extends AbstractPMDProperty

Defines a property type that supports Character values.

Version:
  $Revision$
Author:
  Brian Remedios

Field Summary

Fields inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`multiValueDelimiter`

Fields inherited from interface net.sourceforge.pmd.PropertyDescriptor
`emptyPropertySet`

Constructor Summary
`CharacterProperty(java.lang.String theName, java.lang.String theDescription, char[] theDefaults, float theUIOrder, char delimiter)` Constructor for CharacterProperty.
`CharacterProperty(java.lang.String theName, java.lang.String theDescription, java.lang.Character[] theDefaults, float theUIOrder, char delimiter)` Constructor for CharacterProperty.
`CharacterProperty(java.lang.String theName, java.lang.String theDescription, char theDefault, float theUIOrder)` Constructor for CharacterProperty.
`CharacterProperty(java.lang.String theName, java.lang.String theDescription, java.lang.String theDefaults, float theUIOrder, char delimiter)` Constructor for CharacterProperty.

Method Summary
`java.lang.Class<java.lang.Character>` | `type()` Method type.
`java.lang.Object` | `valueFrom(java.lang.String valueString)` Method valueFrom.

Methods inherited from class net.sourceforge.pmd.properties.AbstractPMDProperty
`areEqual, asDelimitedString, asString, choices, compareTo, defaultValue, description, errorFor, isArray, isRequired, maxValueCount, maxValueCount, multiValueDelimiter, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, typeErrorFor, uiOrder, valueErrorFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterProperty

    public CharacterProperty(java.lang.String theName,
                             java.lang.String theDescription,
                             char theDefault,
                             float theUIOrder)

  Constructor for CharacterProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefault` - char
    `theUIOrder` - float

### CharacterProperty

    public CharacterProperty(java.lang.String theName,
                             java.lang.String theDescription,
                             char[] theDefaults,
                             float theUIOrder,
                             char delimiter)

  Constructor for CharacterProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefaults` - char[]
    `theUIOrder` - float
    `delimiter` - char

### CharacterProperty

    public CharacterProperty(java.lang.String theName,
                             java.lang.String theDescription,
                             java.lang.String theDefaults,
                             float theUIOrder,
                             char delimiter)

  Constructor for CharacterProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefaults` - String
    `theUIOrder` - float
    `delimiter` - char

### CharacterProperty

    public CharacterProperty(java.lang.String theName,
                             java.lang.String theDescription,
                             java.lang.Character[] theDefaults,
                             float theUIOrder,
                             char delimiter)

  Constructor for CharacterProperty.

  Parameters:
    `theName` - String
    `theDescription` - String
    `theDefaults` - char[]
    `theUIOrder` - float
    `delimiter` - char

Method Detail

### type

    public java.lang.Class<java.lang.Character> type()

  Method type.

  Returns:
    Class
  See Also:
    `PropertyDescriptor.type()`

### valueFrom

    public java.lang.Object valueFrom(java.lang.String valueString)
                               throws java.lang.IllegalArgumentException

  Method valueFrom.

  Parameters:
    `valueString` - String
  Returns:
    Object
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `PropertyDescriptor.valueFrom(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.